<?php

declare(strict_types=1);

namespace App\Modules\CardOrder\Policies;

use App\Modules\CardOrder\Models\CardOrder;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class CardOrderPolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:CardOrder');
    }

    public function view(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('View:CardOrder');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:CardOrder');
    }

    public function update(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('Update:CardOrder');
    }

    public function delete(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('Delete:CardOrder');
    }

    public function restore(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('Restore:CardOrder');
    }

    public function forceDelete(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('ForceDelete:CardOrder');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:CardOrder');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:CardOrder');
    }

    public function replicate(AuthUser $authUser, CardOrder $cardOrder): bool
    {
        return $authUser->can('Replicate:CardOrder');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:CardOrder');
    }
}
